ENUM SOCK_TYPE(9)

NAME
enum sock_type - Socket types

SYNOPSIS
enum sock_type {
  SOCK_STREAM,
  SOCK_DGRAM,
  SOCK_RAW,
  SOCK_RDM,
  SOCK_SEQPACKET,
  SOCK_DCCP,
  SOCK_PACKET
};

CONSTANTS

SOCK_STREAM
    stream (connection) socket

SOCK_DGRAM
    datagram (conn.less) socket

SOCK_RAW
    raw socket

SOCK_RDM
    reliably-delivered message

SOCK_SEQPACKET
    sequential packet socket

SOCK_DCCP
    Datagram Congestion Control Protocol socket

SOCK_PACKET
    linux specific way of getting packets at the dev level. For writing rarp and other similar things on the user level.

DESCRIPTION

When adding some new socket type please grep ARCH_HAS_SOCKET_TYPE include/asm-* /socket.h, at least MIPS overrides this enum for binary compat reasons.